## galapi
Class ProcessingInstruction

    java.lang.Object
      galapi.Item
          galapi.Node
              galapi.ProcessingInstruction

public class ProcessingInstruction
extends Node

A `ProcessingInstruction` node in the XQuery data model.

See Also:
  `Node`

Field Summary

Fields inherited from class galapi.Item
`item`

Constructor Summary
`ProcessingInstruction(xsString s, xsString s1)`

Method Summary
`protected static int` `processingInstructionToItem(int s, int s1)`

Methods inherited from class galapi.Node
`attributes, baseURI, children, nativeAttributes, nativeBaseURI, nativeChildren, nativeNodeKind, nativeNodeName, nativeParent, nativeTypedValue, nodeKind, nodeName, parent, typedValue`

Methods inherited from class galapi.Item
`finalize, getAtomic, getAttribute, getElement, getNativeItem, getNode, itemKind, nativeAtomicValue, nativeAttribute, nativeElement, nativeFree, nativeItemKind, nativeNode, nativeString, setItem, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessingInstruction

    public ProcessingInstruction(xsString s,
                                 xsString s1)
                          throws GalapiException

Parameters:
  `s` - the target of the processing instruction
  `s1` - the content of the processing instruction

Method Detail

### processingInstructionToItem

    protected static int processingInstructionToItem(int s,
                                                     int s1)